#!/bin/bash
set -o errexit -o nounset -o pipefail
which shellcheck > /dev/null && shellcheck "$0"

for BINARY in minimal-*-"$1"-*; do
	echo
	echo "$BINARY"
	adb push "$BINARY" /data/local/tmp/
	adb shell "cd /data/local/tmp/ && LD_LIBRARY_PATH=. ./$BINARY && echo -e \"\e[1;32mSuccess\e[0m\" || echo -e \"\e[1;31mFailed\e[0m\""
done

